package com.mycompany.award;

//********************************************************************
//*-------------------------------------------------------------------
//* Sample Source
//*
//* 5724-A18
//*
//* (c) Copyright IBM Corp. 2002
//*
//* The source code for this program is not published or otherwise
//* divested of its trade secrets, irrespective of what has been
//* deposited with the US Copyright Office.
//*
//*--------------------------------------------------------------------------------------
//* The sample contained herein is provided to you "AS IS".
//*
//* It is furnished by IBM as a simple example and has not been thoroughly tested
//* under all conditions.  IBM, therefore, cannot guarantee its reliability, 
//* serviceability or functionality.  
//*
//* This sample may include the names of individuals, companies, brands and products 
//* in order to illustrate concepts as completely as possible.  All of these names
//* are fictitious and any similarity to the names and addresses used by actual persons 
//* or business enterprises is entirely coincidental.
//*--------------------------------------------------------------------------------------
import com.ibm.commerce.security.*;
import com.ibm.commerce.contract.objects.*;

/**
 * Extension for AwardDataBean
 */
public class AwardDataBeanBase extends AwardAccessBean implements Delegator, Protectable {

/**
 * Retrieves its delegatee.
 * @return com.ibm.commerce.security.Protectable
 */
public com.ibm.commerce.security.Protectable getDelegate() throws Exception {
    return this;
}
}
